com.holonplatform.http

## Interface HttpMessage<P>

- Type Parameters:
    `P` - Payload type
  All Superinterfaces:
    HttpHeaders, Message<P,List<String>>, MessageHeaders<List<String>>
  All Known Subinterfaces:
    HttpRequest, HttpResponse<T>, ResponseEntity<T>, ServletHttpRequest
  All Known Implementing Classes:
    AbstractHttpRequest, DefaultHttpResponse

      public interface HttpMessage<P>
      extends Message<P,List<String>>, HttpHeaders

  HTTP generic request/response `Message` representation.
  Since:
    5.0.0

- - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.http.HttpHeaders

      `ACCEPT, ACCEPT_CHARSET, ACCEPT_ENCODING, ACCEPT_LANGUAGE, ACCEPT_RANGES, AGE, ALLOW, AUTHORIZATION, CACHE_CONTROL, CONNECTION, CONTENT_DISPOSITION, CONTENT_ENCODING, CONTENT_LANGUAGE, CONTENT_LENGTH, CONTENT_LOCATION, CONTENT_RANGE, CONTENT_TYPE, COOKIE, DATE, ETAG, EXPECT, EXPIRES, FROM, HOST, IF_MATCH, IF_MODIFIED_SINCE, IF_NONE_MATCH, IF_RANGE, IF_UNMODIFIED_SINCE, LAST_MODIFIED, LINK, LOCATION, MAX_FORWARDS, ORIGIN, PRAGMA, PROXY_AUTHENTICATE, PROXY_AUTHORIZATION, RANGE, REFERER, RETRY_AFTER, SCHEME_BASIC, SCHEME_BEARER, SCHEME_DIGEST, SERVER, SET_COOKIE, TRAILER, TRANSFER_ENCODING, UPGRADE, USER_AGENT, VARY, VIA, WARNING, WWW_AUTHENTICATE`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default Optional<String>` | `getProtocol()` Protocol name with which message was delivered

    - ### Methods inherited from interface com.holonplatform.core.messaging.Message

      `getPayload, getPayloadType`

    - ### Methods inherited from interface com.holonplatform.http.HttpHeaders

      `getAuthorizationBasicCredentials, getAuthorizationBearer, getContentLength, getDate, getHeaderValue, getLocale, getLocales, getLocation`

    - ### Methods inherited from interface com.holonplatform.core.messaging.MessageHeaders

      `getHeader, getHeaders`

- - ### Method Detail

    - #### getProtocol

          default Optional<String> getProtocol()

      Description copied from interface: `Message`
      Protocol name with which message was delivered
      Specified by:
        `getProtocol` in interface `Message<P,List<String>>`
      Returns:
        Optional Protocol name

Copyright © 2019 The Holon Platform. All rights reserved.